require 'httparty'

module Kitsu
  class API
    include HTTParty

    BASE_URL = 'https://kitsu.io/api/edge/'.freeze

    def self.get(path)
      path = path.gsub(BASE_URL, '')
      url = "#{BASE_URL}/#{path}"
      response = super(url)
      JSON.parse(response)
    end
  end
end
