module Kitsu
  class LibraryEntry
    def initialize(parsed)
      @parsed = parsed
      @data = @parsed['data']
    end

    def related_anime
      @data.map do |d|
        API.get(d['relationships']['anime']['links']['related'])
      end
    end

    def studio_anime
      @data.map do |s|
        API.get(s['relationships']['anime']['links']['related'])
      end
    end
  end
end
