module Kitsu
  class UserLibrary
    def get_user_library_entries(user)
      url = user['relationships']['libraryEntries']['links']['related']
      parsed = API.get(url)
      parsed['data']
    end

    def get_anime_from_library_entries(library_entries)
      library_entries.map(&:related_anime_links).map do |url|
        parsed = API.get(url)
        Anime.new(parsed['data'])
      end
    end
  end
end
